Bug 1751197 - hdf5 package uninstallable due to missing libaec package
Summary: hdf5 package uninstallable due to missing libaec package
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: hdf5
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-11 11:49 UTC by Alexander Korsunsky
Modified: 2019-09-12 14:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Red Hat Enterprise Linux 8.0
Last Closed: 2019-09-11 14:04:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Alexander Korsunsky 2019-09-11 11:49:57 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Alexander Korsunsky 2019-09-11 12:01:05 UTC
Sorry, report got sent to soon.

Version-Release number of selected component (if applicable):
hdf5-1.10.5-4.el8.x86_64

How reproducible:
Every time


Steps to Reproduce:
1. yum install hdf5

Actual results:
Error: 
 Problem: conflicting requests
  - nothing provides libsz.so.2()(64bit) needed by hdf5-1.10.5-4.el8.x86_64
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)


Expected results:
hdf5 package is installed.

Additional info:

Comment 2 Orion Poplawski 2019-09-11 14:04:46 UTC
libaec is in the codeready-builder-for-rhel-8-x86_64-rpms repository.  You need to enable that.

Comment 3 Alexander Korsunsky 2019-09-12 09:12:56 UTC
Thank you, installation now succeeds. I would suggest to put this in the EPEL documentation, potentially here: https://fedoraproject.org/wiki/EPEL#How_can_I_use_these_extra_packages.3F

Comment 4 Orion Poplawski 2019-09-12 14:13:41 UTC
Done.


Note You need to log in before you can comment on or make changes to this bug.